@keyframes anime1 {
    50% {
        left: calc(100% - 201px);
        top: calc(100% - 201px);
    }
}

@keyframes anime2 {
    50% {
        right: calc(100% - 201px);
        top: calc(100% - 201px);
    }
    
}

.ball {
    width: 200px;
    height: 200px;
    background-color: blueviolet;
    border: solid 4px red;
    animation: anime1;
    border-radius: 50%;
    left: 0;
    top: 0;
    position: absolute;
    animation-duration: 2s;
    animation-iteration-count: infinite;
    animation-direction: alternate;
    animation-timing-function: linear;
}

.ball2 {
    width: 200px;
    height: 200px;
    background-color: blueviolet;
    border: solid 4px red;
    animation: anime2;
    border-radius: 50%;
    right: 0;
    top: 0;
    position: absolute;
    animation-duration: 2s;
    animation-iteration-count: infinite;
    animation-direction: alternate;
    animation-timing-function: linear;
}